Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.element
Class ParticipantObjectIdentificationType

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.ParticipantObjectIdentificationType

    public class ParticipantObjectIdentificationType

extends java.lang.Object

Java class for ParticipantObjectIdentificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParticipantObjectIdentificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ParticipantObjectIDTypeCode" type="{}CodedValueType"/>
             <choice minOccurs="0">
               <element name="ParticipantObjectName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ParticipantObjectQuery" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             </choice>
             <element name="ParticipantObjectDetail" type="{}TypeValuePairType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="ParticipantObjectDataLifeCycle">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedByte">
                 <enumeration value="1"/>
                 <enumeration value="2"/>
                 <enumeration value="3"/>
                 <enumeration value="4"/>
                 <enumeration value="5"/>
                 <enumeration value="6"/>
                 <enumeration value="7"/>
                 <enumeration value="8"/>
                 <enumeration value="9"/>
                 <enumeration value="10"/>
                 <enumeration value="11"/>
                 <enumeration value="12"/>
                 <enumeration value="13"/>
                 <enumeration value="14"/>
                 <enumeration value="15"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="ParticipantObjectID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ParticipantObjectSensitivity" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ParticipantObjectTypeCode">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedByte">
                 <enumeration value="1"/>
                 <enumeration value="2"/>
                 <enumeration value="3"/>
                 <enumeration value="4"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="ParticipantObjectTypeCodeRole">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedByte">
                 <enumeration value="1"/>
                 <enumeration value="2"/>
                 <enumeration value="3"/>
                 <enumeration value="4"/>
                 <enumeration value="5"/>
                 <enumeration value="6"/>
                 <enumeration value="7"/>
                 <enumeration value="8"/>
                 <enumeration value="9"/>
                 <enumeration value="10"/>
                 <enumeration value="11"/>
                 <enumeration value="12"/>
                 <enumeration value="13"/>
                 <enumeration value="14"/>
                 <enumeration value="15"/>
                 <enumeration value="16"/>
                 <enumeration value="17"/>
                 <enumeration value="18"/>
                 <enumeration value="19"/>
                 <enumeration value="20"/>
                 <enumeration value="21"/>
                 <enumeration value="22"/>
                 <enumeration value="23"/>
                 <enumeration value="24"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`static java.lang.String` | `DB_ObjectDetailTable`
`static java.lang.String` | `DB_ParticipantObjectId`

Constructor Summary
`ParticipantObjectIdentificationType()`

Method Summary
`short` | `getParticipantObjectDataLifeCycle()` Gets the value of the participantObjectDataLifeCycle property.
`java.lang.String` | `getParticipantObjectDataLifeCycleName()`
`java.lang.String` | `getParticipantObjectID()` Gets the value of the participantObjectID property.
`org.w3c.dom.Element` | `getParticipantObjectIdentificationNode()`
`CodedValueType` | `getParticipantObjectIDTypeCode()` Gets the value of the participantObjectIDTypeCode property.
`java.lang.String` | `getParticipantObjectName()` Gets the value of the participantObjectName property.
`byte[]` | `getParticipantObjectQuery()` Gets the value of the participantObjectQuery property.
`java.lang.String` | `getParticipantObjectSensitivity()` Gets the value of the participantObjectSensitivity property.
`short` | `getParticipantObjectTypeCode()` Gets the value of the participantObjectTypeCode property.
`java.lang.String` | `getParticipantObjectTypeCodeName()`
`short` | `getParticipantObjectTypeCodeRole()` Gets the value of the participantObjectTypeCodeRole property.
`java.lang.String` | `getParticipantObjectTypeCodeRoleName()`
`static boolean` | `IsValidElement(org.w3c.dom.Element el)`
`void` | `parse(org.w3c.dom.Element el)`
`void` | `setParticipantObjectDataLifeCycle(short value)` Sets the value of the participantObjectDataLifeCycle property.
`void` | `setParticipantObjectDataLifeCycle(java.lang.String value)`
`void` | `setParticipantObjectDetail(TypeValuePairType type)`
`void` | `setParticipantObjectID(java.lang.String value)` Sets the value of the participantObjectID property.
`void` | `setParticipantObjectIDTypeCode(CodedValueType value)` Sets the value of the participantObjectIDTypeCode property.
`void` | `setParticipantObjectName(java.lang.String value)` Sets the value of the participantObjectName property.
`void` | `setParticipantObjectQuery(byte[] value)` Sets the value of the participantObjectQuery property.
`void` | `setParticipantObjectQuery(java.lang.String value)`
`void` | `setParticipantObjectSensitivity(java.lang.String value)` Sets the value of the participantObjectSensitivity property.
`void` | `setParticipantObjectTypeCode(short value)` Sets the value of the participantObjectTypeCode property.
`void` | `setParticipantObjectTypeCode(java.lang.String value)`
`void` | `setParticipantObjectTypeCodeRole(short value)` Sets the value of the participantObjectTypeCodeRole property.
`void` | `setParticipantObjectTypeCodeRole(java.lang.String value)`
`void` | `setParticipantObjectTypeCodeRoleName(java.lang.String value)`
`java.lang.String` | `toHtml()`
`java.lang.String` | `toXml()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_ParticipantObjectId

    public static java.lang.String DB_ParticipantObjectId

### DB_ObjectDetailTable

    public static java.lang.String DB_ObjectDetailTable

Constructor Detail

### ParticipantObjectIdentificationType

    public ParticipantObjectIdentificationType()
                                        throws javax.xml.parsers.ParserConfigurationException,
                                               javax.xml.parsers.FactoryConfigurationError

Throws:
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.parsers.FactoryConfigurationError`

Method Detail

### getParticipantObjectIDTypeCode

    public CodedValueType getParticipantObjectIDTypeCode()

  Gets the value of the participantObjectIDTypeCode property.

  Returns:
    possible object is `CodedValueType`

### setParticipantObjectIDTypeCode

    public void setParticipantObjectIDTypeCode(CodedValueType value)

  Sets the value of the participantObjectIDTypeCode property.

  Parameters:
    `value` - allowed object is `CodedValueType`

### getParticipantObjectName

    public java.lang.String getParticipantObjectName()

  Gets the value of the participantObjectName property.

  Returns:
    possible object is `String`

### setParticipantObjectName

    public void setParticipantObjectName(java.lang.String value)

  Sets the value of the participantObjectName property.

  Parameters:
    `value` - allowed object is `String`

### getParticipantObjectQuery

    public byte[] getParticipantObjectQuery()

  Gets the value of the participantObjectQuery property.

  Returns:
    possible object is byte[]

### setParticipantObjectQuery

    public void setParticipantObjectQuery(byte[] value)

  Sets the value of the participantObjectQuery property.

  Parameters:
    `value` - allowed object is byte[]

### setParticipantObjectQuery

    public void setParticipantObjectQuery(java.lang.String value)

### setParticipantObjectDetail

    public void setParticipantObjectDetail(TypeValuePairType type)

### getParticipantObjectDataLifeCycle

    public short getParticipantObjectDataLifeCycle()

  Gets the value of the participantObjectDataLifeCycle property.

  Returns:
    possible object is `Short`

### getParticipantObjectDataLifeCycleName

    public java.lang.String getParticipantObjectDataLifeCycleName()

### setParticipantObjectDataLifeCycle

    public void setParticipantObjectDataLifeCycle(short value)
                                           throws ATNAException

  Sets the value of the participantObjectDataLifeCycle property.

  Parameters:
    `value` - allowed object is `Short`
  Throws:
    `ATNAException`

### setParticipantObjectDataLifeCycle

    public void setParticipantObjectDataLifeCycle(java.lang.String value)
                                           throws java.lang.NumberFormatException,
                                                  ATNAException

  Throws:
    `java.lang.NumberFormatException`
    `ATNAException`

### getParticipantObjectID

    public java.lang.String getParticipantObjectID()

  Gets the value of the participantObjectID property.

  Returns:
    possible object is `String`

### setParticipantObjectID

    public void setParticipantObjectID(java.lang.String value)

  Sets the value of the participantObjectID property.

  Parameters:
    `value` - allowed object is `String`

### getParticipantObjectSensitivity

    public java.lang.String getParticipantObjectSensitivity()

  Gets the value of the participantObjectSensitivity property.

  Returns:
    possible object is `String`

### setParticipantObjectSensitivity

    public void setParticipantObjectSensitivity(java.lang.String value)

  Sets the value of the participantObjectSensitivity property.

  Parameters:
    `value` - allowed object is `String`

### getParticipantObjectTypeCode

    public short getParticipantObjectTypeCode()

  Gets the value of the participantObjectTypeCode property.

  Returns:
    possible object is `Short`

### getParticipantObjectTypeCodeName

    public java.lang.String getParticipantObjectTypeCodeName()

### setParticipantObjectTypeCode

    public void setParticipantObjectTypeCode(short value)
                                      throws ATNAException

  Sets the value of the participantObjectTypeCode property.

  Parameters:
    `value` - allowed object is `Short`
  Throws:
    `ATNAException`
    `SyslogException`

### setParticipantObjectTypeCode

    public void setParticipantObjectTypeCode(java.lang.String value)
                                      throws ATNAException

  Throws:
    `ATNAException`

### getParticipantObjectTypeCodeRole

    public short getParticipantObjectTypeCodeRole()

  Gets the value of the participantObjectTypeCodeRole property.

  Returns:
    possible object is `Short`

### getParticipantObjectTypeCodeRoleName

    public java.lang.String getParticipantObjectTypeCodeRoleName()

### setParticipantObjectTypeCodeRole

    public void setParticipantObjectTypeCodeRole(short value)
                                          throws ATNAException

  Sets the value of the participantObjectTypeCodeRole property.

  Parameters:
    `value` - allowed object is `Short`
  Throws:
    `SyslogException`
    `ATNAException`

### setParticipantObjectTypeCodeRoleName

    public void setParticipantObjectTypeCodeRoleName(java.lang.String value)
                                              throws ATNAException

  Throws:
    `ATNAException`

### setParticipantObjectTypeCodeRole

    public void setParticipantObjectTypeCodeRole(java.lang.String value)
                                          throws ATNAException

  Throws:
    `ATNAException`

### toXml

    public java.lang.String toXml()

### toHtml

    public java.lang.String toHtml()

### getParticipantObjectIdentificationNode

    public org.w3c.dom.Element getParticipantObjectIdentificationNode()

### IsValidElement

    public static boolean IsValidElement(org.w3c.dom.Element el)

### parse

    public void parse(org.w3c.dom.Element el)
               throws ATNAException

  Throws:
    `ATNAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD